/* -------------------------- ALL -------------------------- */

.footer {
  background-color: var(--color-grey);
  padding: 30px;
}

.footer > .part > a:has(> .logo) {
  margin-bottom: 30px;
  display: block;
}

.footer > .part > a > .logo {
  aspect-ratio: 266/44;
  width: 266px;
}

.footer > .part > .corps,
.footer > .part > .corps * {
  max-width: 266px;
  color: var(--color-primary);
  font-family: var(--ffMSeBo);
}

.footer > .part > .corps > a {
  display: block;
  margin-top: 18px;
}

.footer .footer__top--desktop {
  display: none;
}

.footer .footer__top--mobile {
  margin-top: 24px;
}

#menu-mobile_menu {
  display: grid;
  gap: 40px;
  margin-bottom: 40px;
}

#menu-mobile_menu ul,
#menu-mobile_menu li {
  list-style: none !important;
}

#menu-mobile_menu > li > a {
  font-family: var(--ffMSeBo);
  color: var(--color-primary);
  font-size: 1rem;
  line-height: 1.125rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--color-primary);
}

#menu-mobile_menu > li > a::after {
  display: block;
  content: "";
  background-image: url(../img/logoIcons/down.svg);
  background-position: center;
  background-repeat: no-repeat;
  aspect-ratio: 1/1;
  width: 24px;
  transform: rotate(270deg);
  transition: all 0.3s ease;
}

#menu-mobile_menu > li.active > a::after {
  transform: rotate(90deg);
  transition: all 0.3s ease;
}

#menu-mobile_menu > li > .sub-menu {
  height: 0;
  overflow: hidden;
  padding-top: 8px;
  transition: all 0.3s ease;
}

#menu-mobile_menu > li.active > .sub-menu {
  height: fit-content;
  transition: all 0.3s ease;
}

#menu-mobile_menu > li > .sub-menu > li:not(:last-child) {
  margin-bottom: 18px;
}

#menu-mobile_menu .sub-menu > li > a {
  font-family: var(--ffMSeBo);
  color: var(--color-black);
  font-size: 1rem;
  line-height: 1.125rem;
}

.footer .networks > .title {
  font-family: var(--ffMSeBo);
  font-size: 1rem;
  line-height: 1.125rem;
  text-transform: none;
  margin-bottom: 16px;
}

.footer .networks > .wrapper {
  display: flex;
  gap: 24px;
  align-items: center;
}

.footer .networks > .wrapper > a {
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer .networks .icon {
  max-width: 24px;
  max-height: 24px;
  object-fit: contain;
}

.footer .footer__bottom {
  margin-top: 30px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.footer .footer__bottom * {
  font-size: 0.875rem;
  line-height: 100%;
  color: var(--color-primary);
}

.footer > .part > a:has(> .logo) {
  width: fit-content;
}

@media (width > 991px) {
  .footer {
    padding: unset;
  }

  .body > *.footer {
    max-width: unset;
  }

  .footer .networks .icon {
    max-width: 32px;
    max-height: 32px;
  }

  .footer .networks > .wrapper {
    justify-self: self-end;
    gap: 30px;
  }

  .body > *.footer > .part {
    display: grid;
    grid-template-columns: auto auto auto;
    column-gap: 24px;
    padding: 34px 30px 40px 30px;
    max-width: 1440px;
    margin-inline: auto;
  }

  .footer .footer__top--desktop {
    display: block;
  }

  .footer .footer__top--desktop .menu {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(6, 1fr);
    gap: 16px 24px;
  }

  .footer .footer__top--desktop .menu,
  .footer .footer__top--desktop .menu * {
    list-style: none;
  }

  .footer .footer__top--mobile {
    display: none;
  }

  .footer > .part > a:has(> .logo) {
    grid-area: 1/1/2/2;
  }

  .footer > .part > .corps {
    grid-area: 1/1/2/2;
    margin-top: 80px;
  }

  .footer .footer__top--desktop .menu a {
    font-family: var(--ffMRe);
    font-size: 1rem;
    line-height: 1.25rem;
    color: var(--color-primary);
  }

  .footer .footer__top--desktop .menu li:nth-child(1) {
    grid-area: 1/1/2/2;
  }

  .footer .footer__top--desktop .menu li:nth-child(2) {
    grid-area: 2/1/3/2;
  }

  .footer .footer__top--desktop .menu li:nth-child(3) {
    grid-area: 3/1/4/2;
  }

  .footer .footer__top--desktop .menu li:nth-child(4) {
    grid-area: 4/1/5/2;
  }

  .footer .footer__top--desktop .menu li:nth-child(5) {
    grid-area: 5/1/6/2;
  }

  .footer .footer__top--desktop .menu li:nth-child(6) {
    grid-area: 6/1/7/2;
  }

  .footer .footer__top--desktop .menu li:nth-child(7) {
    grid-area: 1/2/2/3;
  }

  .footer .footer__top--desktop .menu li:nth-child(8) {
    grid-area: 2/2/3/3;
  }

  .footer .footer__top--desktop .menu li:nth-child(9) {
    grid-area: 3/2/4/3;
  }

  .footer .footer__bottom {
    grid-area: 2/1/3/-1;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 24px;
    border-top: 1px solid var(--color-primary);
    margin-top: 32px;
  }

  .footer .networks > .title {
    display: none;
  }
}

@media (width > 1559px) {
  .body > *.footer > .part {
    padding-inline: unset;
  }
}
